GNU bug report logs - #37229
EasyPG selects revoked key, rather than the obvious current one as recipient on file save

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Beto HydroxyButyrate <beto@HIDDEN>; merged with #37230; dated Fri, 30 Aug 2019 06:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 37229 37230. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2019 06:05:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 30 02:05:23 2019
Received: from localhost ([127.0.0.1]:53173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i3a2D-0001WE-VN
	for submit <at> debbugs.gnu.org; Fri, 30 Aug 2019 02:05:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:48729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <beto@HIDDEN>) id 1i3ZBP-0008Gv-LL
 for submit <at> debbugs.gnu.org; Fri, 30 Aug 2019 01:10:49 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46782)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <beto@HIDDEN>) id 1i3ZBO-0007Xl-02
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 01:10:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <beto@HIDDEN>) id 1i3ZBM-00010R-9t
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 01:10:45 -0400
Received: from
 2001-44b8-211a-1b96-aa20-66ff-fe1e-2a06.static.ipv6.internode.on.net
 ([2001:44b8:211a:1b96:aa20:66ff:fe1e:2a06]:35736 helo=zepherin.com)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <beto@HIDDEN>) id 1i3ZBL-0000mk-Ij
 for bug-gnu-emacs@HIDDEN; Fri, 30 Aug 2019 01:10:44 -0400
Received: from [10.137.0.18] (unknown [192.168.3.104])
 by zepherin.com (Postfix) with ESMTPS id C6301D406B0
 for <bug-gnu-emacs@HIDDEN>; Fri, 30 Aug 2019 15:10:33 +1000 (AEST)
To: bug-gnu-emacs@HIDDEN
From: Beto HydroxyButyrate <beto@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=beto@HIDDEN; keydata=
 mQINBFoPyoYBEAD0+bM6Z3UnYgRwPS5u9d4KKVWBUccos0wgwKkS9sdITB/HZ2eQu5o/L868
 luoAWkdsZSRBkGEiEaZs2FK1LRYR7nbmvO5NOIIWmd/rZKdEX9/LhejZrKo13tAzR0oZB7VQ
 hxd8033vPwZ8aXoYHlGLh4ujYteBH8vZx7rZe5M/eNLwAOc1SIS3Plw8vs5SFZp86jaMrcSE
 VavAwfGuuf/ToBpAx50vL1jOZzy7pzFHI7Ux3//1gfDbImSDeJBF56a9U5jKBMz1E9xgMPAO
 ZtcY2WQ2y6JWodEQ1y4ctvCGP5lVrRGP3g7/rWMo7jMSJ4Zy2R4fVP0MYl8/JqcdnBH0ULBB
 AIXbwWbDetRV0zlKavJxPBrqwcSwmhe+iOjElqadxl4K9+Rf4+m782xkOrzkEzkKPVhYQeql
 C6KLqJX50iuhzT6Ks1uC9F9GalT480i4JTTArDN2pQ92iTqVaiNYaQKxgL65Z1RjKPSoqfpk
 KCNJN4YmuufkUgWJX+u5TIGc/hEH8Wp+eqRQ0P61P8Ichpy+SDCSilu/K8Qrxz3KAa5S15id
 w9Xi7fN951EwCX2mof0TofUiNjJTgVbNbMDDCjLkUYLfuaeTN9ZeLEW6epyuoVYIco5ZNyAI
 auVi8JISz7D8Hh3eydham9P6YU0NEn2j+Lo6k5KkiwIqNPtv3QARAQABtDxCZXRvIEh5ZHJv
 eHkgQnV0eXJhdGUgKHplcGhlcmluIHB0eSBsdGQpIDxiZXRvQHplcGhlcmluLmNvbT6JAlQE
 EwEKAD4CGwMFCwkIBwMFFQoJCAsFFgIDAQACHgECF4AWIQS8UjqHzRRXhshza1lA25TEfj7A
 0gUCXVPS/AUJBwZvdgAKCRBA25TEfj7A0q43D/9qiPRxxedd2Xb3uJQXwy9pNIzpGLIZ5zoh
 u9dVAvAhmmREl1MWQ9zNP94v4iIdxvdTNCnl7mRglMcSazg7d5v8UYCOU1T4tyXaBN2mVMiM
 li21UvV5jUcuX4oCzf+LEfN5/tT5Ey+ADyaVf+lysRTo8zVygdVA6djKFmoS1Mdy4LUL3IAE
 Jbn0ZnKh6s/kQL5xsAA6+4IFuhaHTEacbbr07AheORq/IOLeJUHuWmLreDvVCNh4JOSeRCAq
 e6JYBjI0+TxVzLq3xyjVUjYnrH+6jCgYxYIT6Wpev690XgvqmkHLfnoDiB8F0Y5d8ZPcOwpQ
 SHeZMmQD19ifWf05MITRC9nf25dltmp0/tS86ZSBXXHPOcHFcTzChoBnk5AyL1b8MJ70kMjK
 w0ixoZPvwODACS9NQ4fzVOXvXQHBGybRUkjQo7h1bHfTrJ3Lor/lYcDh8euptbWAkrwqZXhe
 9bJsR6gjp+tWq5FmAoKCF249+1IvPvvnjuPngBRmARagQMkO+nXDoCBp6fzZGwwlRHeC93WI
 Pxv/t49t5lfGINWix5ulb8kKYa3uk3zVqYBq1i/hoHHQN6CX3rAT+hNTiirzoTKgNSEk/ndR
 kaLQdzA19nPuyKwXqnOJ0RyMHhPi3KWIxh0DgCeGJ0G4WYvIoLfW/NZN94X0u4u9Pexi7yPz
 ebkCDQRaD8qGARAAtpCVp41Rfa6xc5eWzcKWXHpPdvQd/ji53q2TCO1J1VbVDMPQuqOpg3Yu
 tGqNo40BPwEuYrYYRoXyAmm/JpUoUDIqCJSaCSrNXMxftvefdYfjmVp/3jqQLPYf4bIBBZ+O
 V1+41JXRM5teA3GAYDU24JvDOyXdTesceYRiAceX2YAx9lPGNo3zrKKqOZYLw6x61obmxza/
 mUOpmsJaUTh7nA3oYyr4P4WA67xkiaAHXTDXKlBKGwY+aTejd8jkVI0RXYoZifx2wSJv3V4q
 so8+iQwPovltEx0Eg2VRQMOcuHj4DJS/FAwOynDyYO8NFjBhtid4YKHcxQ7Kn0mvvq/ScGCs
 178MAJCDdxt0dPE35qTQ+vFf8sNJVEjyIGrXKwRmUnTpJJoz2ruA03El2WkNxOumlfAWVHfe
 voXfDl8TX4xo+Dn3Njj4girt7lLZNHJLOI53vdMr7a0IOG1hWmCMnteYi7VBzcgwap2W05j8
 KjS+gCsKs85Ph8ja/nJ5T3b7VilDIBhm2yB/l0NOphk9qB3j8pXkf5U9BescQQ3MIOnvD3u6
 iFttZXMn3ZAMf6cjNAbHweIs00qeOG78QtKRliyFcle0MDSmzZohQtSSESbivV60lxKFMKA+
 fey9jFV28N/fjsQixi52x9Efm6xndDKXU0LepV0fKffP7QeuUakAEQEAAYkCNgQYAQoAIBYh
 BLxSOofNFFeGyHNrWUDblMR+PsDSBQJaD8qGAhsMAAoJEEDblMR+PsDS8TIQAL/AnTxi8z7Z
 or67tf5j26xeWHsydFcHKYh1l8IOWz+rWFpA7cahcyy3GtYY5hHcJT0igMOvWsugAqJOAmVZ
 aSVy4PE6XU9QfMN1Bm63dQVURKcapvNVH6g0dNCKjho4V2TKFug1rBt08Vwsi5LJ+VYYs4n9
 SpSyjXhA5F50kpfcBtFJIgnYPumaAya7aYn6iPA+39iUqhzKNhdrZi+yBCXMU+p/HIex8PKd
 PiuBQfp4GuZJKTqeyVh6DYI8oq+qBfoZUKZoC1fulCY2XPP8uR0YdE9qV4+lxCzg+ya0ejEu
 C2MsAsP3yaqoSnVZ6oUcisoD+/OfXjx7sZQfXBIz69JA0xHy39njLJi7rhTIQ+3QkJA/CCVj
 XZk7sid+LtgLYhKEFbXvjcDbDa2PA4daIMDlrqkLGyNJRTF1FFspuQKqf0JKo6JbXl1VncWr
 PPRqw54oHbXVJMkhlYPSME20jB9YXeeYXi+rb450oKAyV7MiQ5DBVhLWboLcXQTfF5SV65uR
 hAubJCCkluNrnhX6X39mJo/NKaJAAfW6xJr/D/AP0jT45m2dODQXsIGz3AcBG5FkvTZ2j0p8
 06tj/Hjdi62NgXNRVliKr4Sq5NLsojpHTP3jEwNKGXL0FGm/4wmkOeoJlSmS75e776fHAba/
 c41IdI8K0gd+sBwon1QDaEJK
Subject: EasyPG selects revoked key, rather than the obvious current one as
 recipient on file save
Message-ID: <cd59227c-ebd4-0287-732a-e3657e8a8d15@HIDDEN>
Date: Fri, 30 Aug 2019 15:10:33 +1000
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.7.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:44b8:211a:1b96:aa20:66ff:fe1e:2a06
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 30 Aug 2019 02:05:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)



I have a test file named Test1.gpg with the following at the top:
;; -*- epa-file-encrypt-to: ("beto@HIDDEN") -*-

I write out the file. It throws this error:

Debugger entered--Lisp error: (file-error "Opening output file" "Encrypt
failed" "Unusable public key: 4253BDD3FF52DC13; Exit")
signal(file-error ("Opening output file" "Encrypt failed" "Unusable
public key: 4253BDD3FF52DC13; Exit"))
epa-file-write-region(nil nil "/home/user/Documents/Auth/Test1.gpg" nil
t "~/Documents/Auth/Test1.gpg" nil)
apply(epa-file-write-region (nil nil
"/home/user/Documents/Auth/Test1.gpg" nil t "~/Documents/Auth/Test1.gpg"
nil))
epa-file-handler(write-region nil nil
"/home/user/Documents/Auth/Test1.gpg" nil t "~/Documents/Auth/Test1.gpg"
nil)
write-region(nil nil "/home/user/Documents/Auth/Test1.gpg" nil t
"~/Documents/Auth/Test1.gpg")
basic-save-buffer-2()
basic-save-buffer-1()
basic-save-buffer(t)
save-buffer(1)
funcall-interactively(save-buffer 1)
call-interactively(save-buffer nil nil)
command-execute(save-buffer)

The problem is that EasyPG selects the revoked key. The solution is
*not* to delete the revoked key from my keyring. I need the revoked key
to be able to decode email previously sent encrypted using this revoked
key.
I did some googling and saw that there have been at least two other
reports of this issue, but someone hacked up a kluge specifically for
email, rather than fixing the general case.



In GNU Emacs 26.1 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.23.2)=

of 2018-08-13 built on buildvm-13.phx2.fedoraproject.org
Windowing system distributor 'Fedora Project', version 11.0.12004000
System Description: Fedora release 29 (Twenty Nine)

Recent messages:
<<< Type SPC or RET to bury the buffer list >>>
Saving file /home/user/Documents/Auth/Test1.gpg...
epa-file-write-region: Opening output file: Encrypt failed, Unusable
public key: 4253BDD3FF52DC13; Exit
<<< Type SPC or RET to bury the buffer list >>>
Mark set
t [2 times]
<<< Type SPC or RET to bury the buffer list >>>
Saving file /home/user/Documents/Auth/Test1.gpg...
Entering debugger...
<<< Type SPC or RET to bury the buffer list >>>

Configured using:
'configure --build=3Dx86_64-redhat-linux-gnu
--host=3Dx86_64-redhat-linux-gnu --program-prefix=3D
--disable-dependency-tracking --prefix=3D/usr --exec-prefix=3D/usr
--bindir=3D/usr/bin --sbindir=3D/usr/sbin --sysconfdir=3D/etc
--datadir=3D/usr/share --includedir=3D/usr/include --libdir=3D/usr/lib64
--libexecdir=3D/usr/libexec --localstatedir=3D/var
--sharedstatedir=3D/var/lib --mandir=3D/usr/share/man
--infodir=3D/usr/share/info --with-dbus --with-gif --with-jpeg --with-png=

--with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=3Dgtk3
--with-gpm=3Dno --with-xwidgets --with-modules
build_alias=3Dx86_64-redhat-linux-gnu host_alias=3Dx86_64-redhat-linux-gn=
u
'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Werror=3Dformat-security
-Wp,-D_FORTIFY_SOURCE=3D2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions
-fstack-protector-strong -grecord-gcc-switches
-specs=3D/usr/lib/rpm/redhat/redhat-hardened-cc1
-specs=3D/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=3Dgeneric
-fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection'
LDFLAGS=3D-Wl,-z,relro
PKG_CONFIG_PATH=3D:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 MODULES THREADS XWIDGETS LCMS2

Important settings:
value of $LANG: C.UTF-8
locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
shell-dirtrack-mode: t
show-paren-mode: t
display-time-mode: t
minibuffer-electric-default-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny format-spec rfc822 mml
mml-sec password-cache gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
cl-print debug cl-extra help-fns radix-tree help-mode misearch
multi-isearch shell pcomplete epa-file epa derived epg epg-config
image-mode rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-mode nxml-outln nxml-rap sgml-mode seq byte-opt gv bytecomp
byte-compile cconv dom nxml-util nxml-enc xmltok view dired
dired-loaddefs elec-pair cus-edit cus-start cus-load wid-edit paren time
minibuf-eldef ruby-mode smie cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs compile info easymenu ehelp
echistory chistory ebuff-menu hippie-exp comint ansi-color ring edmacro
kmacro cl-loaddefs cl-lib ls-lisp time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting xwidget-internal move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 174725 10251)
(symbols 48 27705 1)
(miscs 40 367 292)
(strings 32 50902 1271)
(string-bytes 1 1474559)
(vectors 16 22946)
(vector-slots 8 584471 13322)
(floats 8 112 656)
(intervals 56 1481 164)
(buffers 992 27))






Acknowledgement sent to Beto HydroxyButyrate <beto@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37229; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 30 Aug 2019 06:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.